services:
  flatnotes:
    image: ${FLATNOTES_IMAGE}:${FLATNOTES_TAG}
    container_name: ${FLATNOTES_CONTAINER_NAME}
    restart: ${FLATNOTES_RESTART_POLICY}
    security_opt:
      - no-new-privileges:true
    networks:
      - ${FLATNOTES_NETWORk_ID}
#    ports:
#      - "8080:8080"
    environment:
      PUID: ${UID:-1000}
      PGID: ${GID:-1000}
      TZ: ${TZ}      
    env_file:
      - path: ../env/flatnotes.env
    volumes:
      - ${DOCKERDIR}/flatnotes:/data
      # Optional. Allows you to save the search index in a different location: 
      # - "./index:/data/.flatnotes"
